org.apache.sling.event.jobs.consumer

## Interface JobExecutionResult

    @ProviderType
    public interface JobExecutionResult

The status of a job after it has been processed by a `JobExecutor`. The job executor uses the `JobExecutionContext` to create a result object. The result can have three states, succeeded, cancelled or failed whereas failed means that the execution is potentially retried.

Since:
  1.1

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `cancelled()` If this returns true the job processing failed permanently.
`boolean` `failed()` If this returns true the job processing failed but might be retried..
`String` `getMessage()` Return the optional message.
`Long` `getRetryDelayInMs()` Return the retry delay in ms
`boolean` `succeeded()` If this returns true the job processing finished successfully.

### Method Detail

#### succeeded

    boolean succeeded()

If this returns true the job processing finished successfully. In this case `cancelled()` and `failed()` return `false`

Returns:
  `true` for a successful processing

#### cancelled

    boolean cancelled()

If this returns true the job processing failed permanently. In this case `succeeded()` and `failed()` return `false`

Returns:
  `true` for a permanently failed processing

#### failed

    boolean failed()

If this returns true the job processing failed but might be retried.. In this case `cancelled()` and `succeeded()` return `false`

Returns:
  `true` for a failedl processing

#### getMessage

    String getMessage()

Return the optional message.

Returns:
  The message or `null`

#### getRetryDelayInMs

    Long getRetryDelayInMs()

Return the retry delay in ms

Returns:
  The new retry delay (>= 0) or `null`